<form-template titleForm="Calle" [form]="form" [busy]="service.busy" [edit]="service.editing" 
    (changes)="onAction($event)" [(addOnlyOne)]="service.addOnlyOne">
    <ng-container content-type="codigo" *ngIf="service.editing">
        <small class="p-1"><strong class="font-xs text-muted">Codigo:&nbsp;</strong>{{service.model?.Id}}</small>
    </ng-container>

    <form #form="ngForm" autocomplete="off">
        <div class="row">
            <div class="col-md-5" [input-wrapper]="name" label="Nombre de Calle" >
                <input type="text" class="form-control" name="nombre" [(ngModel)]="service.model.Nombre"
                    #name="ngModel" placeholder="Nombre de Calle" ngbAutofocus required>
            </div>
            <div class="col-md-5" input-wrapper label="Distancia" >
                <input type="text" class="form-control" name="distancia" [(ngModel)]="service.model.Distancia"
                    placeholder="Longitud de Calle">
            </div>
        </div>
    </form>

    <ng-container *ngIf="service.editing">
    <ul class="nav-tabs mt-2" ngbNav #nav="ngbNav">
        <li ngbNavItem>
          <a ngbNavLink>
            Residencias
          </a>
          <ng-template ngbNavContent>
            <div class="row">
              <div class="col-md-12">
                <app-calle-residencia></app-calle-residencia>
              </div>
            </div>
          </ng-template>
        </li>
      </ul>
    <div class="mt-3" [ngbNavOutlet]="nav"></div>
    </ng-container>
</form-template>
